Agents
Update CertiWise expiry policy settings
Path Parameters
organizationId*string
Format
uuidHeader Parameters
x-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
x-organization-id*string
Must match the organizationId path segment
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/expiry-policies" \ -H "x-organization-role: ORG_ADMIN" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "defaultPolicy": { "autoRenewEnabled": true, "renewDaysBeforeExpiry": 1, "requireApproval": true, "blockRenewIfDeploymentFailed": true, "notifyDaysBefore": [ 0 ], "waitForAllDeploymentsMinutes": 1 }, "applicationOverrides": { "property1": {}, "property2": {} } }'{ "defaultPolicy": { "autoRenewEnabled": true, "renewDaysBeforeExpiry": 1, "requireApproval": true, "blockRenewIfDeploymentFailed": true, "notifyDaysBefore": [ 0 ], "waitForAllDeploymentsMinutes": 1 }, "applicationOverrides": { "property1": { "autoRenewEnabled": true, "renewDaysBeforeExpiry": 0, "requireApproval": true, "blockRenewIfDeploymentFailed": true, "notifyDaysBefore": [ 0 ], "waitForAllDeploymentsMinutes": 0 }, "property2": { "autoRenewEnabled": true, "renewDaysBeforeExpiry": 0, "requireApproval": true, "blockRenewIfDeploymentFailed": true, "notifyDaysBefore": [ 0 ], "waitForAllDeploymentsMinutes": 0 } }}{ "message": "string"}{ "message": "string"}